@echo	                    RK29 Rooting toolkit (v1.2)
@echo          created by SferaDev for our RK Tabs (Based on ICS)
@echo       from the work of DooMLoRD using "andorid emulator" trick
@echo       Credits go to all those involved in making this possible!
@echo   ----------------------------------------------------------------------
@echo   ----------------------------------------------------------------------
@echo     This tool will:
@echo        (1) Root your RK29 tab
@echo        (2) Install Busybox + Stericson's Busybox Free
@echo        (3) Install SU binary (3.1.1) + Superuser.apk
@echo        (4) If there is low free space, the tool will remove Google Maps.
@echo   ----------------------------------------------------------------------
@echo     Make sure you do this:
@echo        (1) Install the drivers of the folder
@echo        (2) Power on your Tab
@echo        (3) Turn Mass Storage OFF
@echo        (4) Enable "USB DEBUGGING" from Developer Options
@echo        (5) Enable "UNKNOWN SOURCES" from Security
@echo        (6) connect USB cable to your Tab and then connect it to PC
@echo   ----------------------------------------------------------------------
@echo   ----------------------------------------------------------------------
@echo   When you finish all above press enter...
@pause
@echo   Let's begin with the work.
@echo   Waiting for your device
@echo   ----------------------------------------------------------------------
@files\adb wait-for-device
@echo   Creating temp folders
@files\adb shell "cd /data/local && mkdir tmp"
@echo   Cleaning
@files\adb shell "cd /data/local/tmp/ && rm *"
@echo   Symlinking the temp folder
@files\adb shell mv /data/local/tmp /data/local/tmp.bak
@files\adb shell ln -s /data /data/local/tmp
@echo   ----------------------------------------------------------------------
@echo   Rebooting
@files\adb reboot
@echo   ----------------------------------------------------------------------
@echo   Waiting for your device
@echo   PLEASE WAIT, THIS MAY TAKE A WHILE
@files\adb wait-for-device
@echo   DEVICE FOUND
@echo   ----------------------------------------------------------------------
@echo   Enabling emulator hack
@files\adb shell rm /data/local.prop > nul
@files\adb shell "echo \"ro.kernel.qemu=1\" > /data/local.prop"
@echo   ----------------------------------------------------------------------
@echo   Rebooting
@files\adb reboot
@echo   ----------------------------------------------------------------------
@echo   Waiting for your device
@echo   PLEASE WAIT, THIS MAY TAKE A WHILE
@files\adb wait-for-device
@echo   DEVICE FOUND
@echo   ----------------------------------------------------------------------
@echo   Pushing busybox
@files\adb push files\busybox /data/local/tmp/.
@echo   Correcting permissions
@files\adb shell "chmod 755 /data/local/tmp/busybox"
@echo   Remounting /system
@files\adb shell "/data/local/tmp/busybox mount -o remount,rw /system"
@echo   Checking free space on /system
@files\adb push files\makespace /data/local/tmp/.
@files\adb shell "chmod 777 /data/local/tmp/makespace"
@files\adb shell "./data/local/tmp/makespace"
@echo   Copying busybox to /system/xbin/
@files\adb shell "dd if=/data/local/tmp/busybox of=/system/xbin/busybox"
@echo   Correcting ownership
@files\adb shell "chown root.shell /system/xbin/busybox"
@echo   Correcting permissions
@files\adb shell "chmod 04755 /system/xbin/busybox"
@echo   Installing busybox
@files\adb shell "/system/xbin/busybox --install -s /system/xbin"
@files\adb shell "rm -r /data/local/tmp/busybox"
@echo   ----------------------------------------------------------------------
@echo   Pushing SU binary
@files\adb push files\su /system/bin/su
@echo   Correcting ownership
@files\adb shell "chown root.shell /system/bin/su"
@echo   Correcting permissions
@files\adb shell "chmod 06755 /system/bin/su"
@echo   Correcting symlinks
@files\adb shell "rm /system/xbin/su"
@files\adb shell "ln -s /system/bin/su /system/xbin/su"
@echo   ----------------------------------------------------------------------
@echo   Pushing Superuser app
@files\adb push files\Superuser.apk /system/app/.
@echo   ----------------------------------------------------------------------
@echo   Pushing Busybox Free app
@files\adb push files\Busybox.apk /system/app/.
@echo   ----------------------------------------------------------------------
@echo   Cleaning
@files\adb shell rm /data/local.prop
@files\adb shell rm /data/local/tmp
@files\adb shell mv /data/local/tmp.bak /data/local/tmp
@echo   ----------------------------------------------------------------------
@echo   Rebooting
@files\adb reboot
@echo   ----------------------------------------------------------------------
@echo   ----------------------------------------------------------------------
@echo        You are root! Give feedback and a thanks in the XDA Forums!
@echo        By: SferaDev
@echo   ----------------------------------------------------------------------
@echo   ----------------------------------------------------------------------
@pause